สอบถามวิธีติดตั้ง psycopg2 บน python 2.7 หน่อยครับ

แนะนำ สอบถาม ภาษา C สำหรับผู้เริ่มต้น ภาษา Java ภาษา Python

Moderator: mindphp, ผู้ดูแลกระดาน

ภาพประจำตัวสมาชิก
tatiya
PHP VIP Members
PHP VIP Members
โพสต์: 2214
ลงทะเบียนเมื่อ: 09/07/2018 9:35 am

สอบถามวิธีติดตั้ง psycopg2 บน python 2.7 หน่อยครับ

โพสต์โดย tatiya » 08/04/2019 12:42 pm

พอดีผมติดตั้งตัว psycopg2 โดยใช้คำสั่ง

โค้ด: เลือกทั้งหมด

pip install psycopg2


แล้วขึ้น Error แบบนี้ครับ
(venv) root@com015-Inspiron-5570:~/PycharmProjects/Project_blackUp# pip install psycopg2
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7.
Collecting psycopg2
Using cached https://files.pythonhosted.org/packages ... 8.1.tar.gz
Complete output from command python setup.py egg_info:
running egg_info
creating pip-egg-info/psycopg2.egg-info
writing pip-egg-info/psycopg2.egg-info/PKG-INFO
writing top-level names to pip-egg-info/psycopg2.egg-info/top_level.txt
writing dependency_links to pip-egg-info/psycopg2.egg-info/dependency_links.txt
writing manifest file 'pip-egg-info/psycopg2.egg-info/SOURCES.txt'
Error: You need to install postgresql-server-dev-X.Y for building a server-side extension or libpq-dev for building a client-side application.


----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-install-AuRgY0/psycopg2/
รูปภาพ รูปภาพ รูปภาพ

ภาพประจำตัวสมาชิก
tatiya
PHP VIP Members
PHP VIP Members
โพสต์: 2214
ลงทะเบียนเมื่อ: 09/07/2018 9:35 am

Re: สอบถามวิธีติดตั้ง psycopg2 บน python 2.7 หน่อยครับ

โพสต์โดย tatiya » 08/04/2019 12:44 pm

วิธีแก้

โค้ด: เลือกทั้งหมด

sudo apt install libpq-dev python-dev


เมื่อเสร็จแล้ว แล้วลอง อันนี้อีกครั้ง

โค้ด: เลือกทั้งหมด

pip install psycopg2
รูปภาพ รูปภาพ รูปภาพ


ย้อนกลับไปยัง

ผู้ใช้งานขณะนี้

กำลังดูบอร์ดนี้: 14 และ บุคคลทั่วไป 0 ท่าน